# Balance Sheet

### Fields

| Field                   | Type                                                                      | Description                            |
| ----------------------- | ------------------------------------------------------------------------- | -------------------------------------- |
| accountsPayable         | Float                                                                     | Accounts Payable                       |
| accountsReceivable      | Float                                                                     | Accounts Receivable                    |
| additionalPaidInCapital | Float                                                                     | Additional Paid-in Capital             |
| cash                    | Float                                                                     | Cash                                   |
| commonStock             | Float                                                                     | Common Stock                           |
| currencyIsoCode         | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum.md) | Balance Sheet Currency                 |
| currentAssets           | Float                                                                     | Current Assets                         |
| currentLiabilities      | Float                                                                     | Current Liabilities                    |
| debtToAssetsRatio       | Float                                                                     | Debt to Assets Ratio                   |
| debtToEquityRatio       | Float                                                                     | Debt to Equity Ratio                   |
| dividendsPayable        | Float                                                                     | Dividends Payable                      |
| eps                     | Float                                                                     | EPS                                    |
| financialLeverage       | Float                                                                     | Financial Leverage                     |
| goodwill                | Float                                                                     | Goodwill                               |
| inventories             | Float                                                                     | Inventories                            |
| longTermDebtCurrent     | Float                                                                     | Current Long-term Debt                 |
| longTermDebtNoncurrent  | Float                                                                     | Non-Current Long-term Debt             |
| nonCurrentLiabilities   | Float                                                                     | Non-Current Liabilities                |
| period                  | [Period](/company-data-api/graphql-objects/untitled-3.md)                 | Period - Quarterly or Annual           |
| ppE                     | Float                                                                     | PPE                                    |
| preferredStock          | Float                                                                     | Preferred Stock                        |
| prepaidExpenses         | Float                                                                     | Prepaid Expenses                       |
| retainedEarnings        | Float                                                                     | Retained Earnings                      |
| sharesOutstanding       | Float                                                                     | Shares Outstanding                     |
| source                  | [Source](/company-data-api/graphql-objects/source-object.md)              | Source URL for the financial statement |
| taxRate                 | Float                                                                     | Tax Rate                               |
| totalAssets             | Float                                                                     | Total Assets                           |
| totalDebt               | Float                                                                     | Total Debt                             |
| totalEquity             | Float                                                                     | Total Equity                           |
| totalLiabilities        | Float                                                                     | Total Liabilities                      |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        balanceSheets {
            accountsPayable
            accountsReceivable
            additionalPaidInCapital
            cash
            commonStock
            currencyIsoCode
            currentAssets
            currentLiabilities
            debtToAssetsRatio
            debtToEquityRatio
            dividendsPayable
            eps
            financialLeverage
            goodwill
            inventories
            longTermDebtCurrent
            longTermDebtNoncurrent
            nonCurrentLiabilities
            period {
                periodType
                endDate
            }
            ppE
            preferredStock
            prepaidExpenses
            retainedEarnings
            sharesOutstanding
            source {
                url
            }
            taxRate
            totalAssets
            totalDebt
            totalEquity
            totalLiabilities
        }
        
        balanceSheetsSources {
            url
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials/balance-sheet-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
